欢迎您来到腾讯云!积分商城

腾讯云腾讯云论坛

 找回密码
 立即注册
忘了密码?

扫一扫,访问微社区

快捷导航
搜索
查看: 319536|回复: 0

[安全通知] 【安全预警】关于Linux系统“脏牛”漏洞的修复通告

 关闭 [复制链接]

69

主题

9

好友

6492

积分

腾讯云论坛管理组

Rank: 20Rank: 20

云币
49421
威望
6492
发表于 2016-10-23 12:06:26 |显示全部楼层
尊敬的腾讯云用户:
      您好!近日Linux官方爆出了“脏牛”漏洞(代号:Dirty COW,漏洞编号:CVE-2016-5195),攻击者可利用该漏洞本地以低权限提升到root权限。
      为避免您的服务器受影响,请尽快检查您的内核版本是否受影响,并及时关注漏洞修复通告信息。

【漏洞详情】:Linux内核的内存子系统在处理写入时复制(copy-on-write, COW)时产生了竞争条件(race condition)。恶意用户可利用此漏洞以欺骗系统修改可读的用户空间代码然后执行,一个低权限的本地用户能够利用此漏洞获取其他只读内存映射的写权限,比如攻击者修改存在的setid文件去提升权限。

【漏洞风险】:高,可实现本地提权

【影响版本】:该漏洞在全版本Linux系统(Linux kernel >= 2.6.22)均可以实现提权,腾讯云受影响的镜像版本为:
CentOS 5.x  32位/64位
CentOS 6.x  32位/64位  
CentOS 7.x  32位/64位  
CoreOS 717.3.0 64位
Debian 6.x  32位(Debian官方已停止更新,建议使用Debian7、Debian8版本)
Debian 7.x  32位/64位
Debian 8.x  32位/64位
openSUSE 12.3 32位/64位
openSUSE 13.2 64位
SUSE Linux Enterprise Server 11 SP3 64位
SUSE Linux Enterprise Server 12 64位
Ubuntu Server 10.04.1 LTS 32位/64位(Ubuntu官方已停止更新,建议使用Ubuntu 14.04版本)
Ubuntu Server 12.04.1 LTS 32位/64位
Ubuntu Server 14.04.1 LTS 32位/64位
  
【修复建议】
我们建议您使用以下方式提前进行自查并完善现有安全策略:
1)提前做好数据备份工作,避免内核修复后意外情况;
2)使用uname –r查看Linux系统的内核版本,比照【影响版本】确认是否在受影响版本范围,如果在受影响版本,则可按照如下修复方法进行修复:
    【CentOS 6用户】:
        1、yum update kernel,更新当前内核版本
        2、reboot,重启生效
        3、uname -r,检查当前版本是否为2.6.32-642.6.2.el6.x86_64版本,如果是,则说明修复成功。
    【CentOS 7用户】:
        1、yum update kernel,更新当前内核版本
        2、reboot,重启生效
        3、uname -r,检查当前版本是否为3.10.0-327.36.3.el7.x86_64版本,如果是,则说明修复成功。
    【Ubuntu 12.04用户】:
        1、sudo apt-get update;sudo apt-get install linux-image-generic,进行系统更新
        2、sudo reboot,更新后重启系统生效
        3、uname -r,检查当前版本是否为
3.2.0-113.155版本,如果是,则说明修复成功。
    【Ubuntu 14.04用户】:
        1、sudo apt-get update;sudo apt-get install linux-image-generic,进行系统更新
        2、sudo reboot,更新后重启系统生效
        3、uname -r,检查当前版本是否为
3.13.0-100版本,如果是,则说明修复成功。     
    【Debian 7用户】:
        1、apt-get update;apt-get upgrade,进行系统更新
        2、reboot,更新后重启系统生效
        3、sudo dpkg --list | grep linux-image,检查当前版本是否为3.2.82-1版本,如果是,则说明修复成功。   
    【Debian 8用户】:
        1、apt-get update;apt-get upgrade,进行系统更新
        2、reboot,更新后重启系统生效
        3、dpkg --list | grep linux-image,检查当前版本是否为3.16.36-1+deb8u2版本,如果是,则说明修复成功。   
    【SUSE Linux Enterprise Server用户及OpenSUSE用户】:
        zypper refresh;zypper update kernel-default进行系统更新,更新后重启系统生效;
    【CoreOS用户】:
        运行update_engine_client -update,更新后重启系统生效;
3)若您内核为自行编译,可参照如下官方内核补丁代码进行修复,修复代码连接:https://git.kernel.org/cgit/linu ... 4ad9bdbc7d67ed8e619


【漏洞参考链接】
http://dirtycow.ninja/
http://www.freebuf.com/vuls/117331.html


10月28日更新【修复建议】;
                                                                                     2016年10月21日
您需要登录后才可以回帖 登录 | 立即注册
您需要登录后才可以发帖 QQ登录

联系我们|腾讯云平台|积分商城|腾讯云官方论坛    

GMT+8, 2017-11-18 21:55 , Processed in 1.167333 second(s), 29 queries .

Powered by Discuz! X2.5

© 2001-2012 Comsenz Inc.

回顶部